Bug 17460 - gpm oops() with usb mouse - X fails to start
Summary: gpm oops() with usb mouse - X fails to start
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gpm   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-13 02:58 UTC by Krusty
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-04 18:47:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Krusty 2000-09-13 02:58:06 UTC
If the system is configured to start X at boot it not only fails, but goes 
into an endless loop of retrying.  X remarks about gpm pid in /var/run and 
gpm having been "mysteriously murdered", system pauses at tty1 then 
retries X, again and again and again......

the gpm failure is: "oops() from gpm.c(968) \n /dev/mouse /n no such 
device"

The mouse is a Microsoft Optical USB.  Problem may have to do with USB 
setup, which is computer -> usb-switch-box -> monitor -> mouse.  Probably 
more usb hubs than system is used to seeing.  (Works fine with windows 
tho!)

Comment 1 Crutcher Dunnavant 2000-10-04 18:47:43 UTC
does this problem still happen in Red Hat Linux 7?

Comment 2 Crutcher Dunnavant 2000-10-19 15:27:00 UTC
Okay, this isn't a gpm issue, its a mouse setup issue.

First, try running mouseconfig and then rebooting,
and if that don't work, then:

Check the value of /dev/mouse
(ls -l /dev/mouse)

See if it is pointing to /dev/input/mice,
if not, remove the symlink, if it is there,
and run:

ln -s /dev/input/mice /dev/mouse


Note You need to log in before you can comment on or make changes to this bug.